%define name	perl-CDDB_get
%define version	1.66
%define release	3mdk

Summary:	CDDB_get module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	CDDB_get-1.66.tar.bz2
Url:		http://www.cpan.org
Requires:	perl
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CDDB_get module for perl

%prep
rm -rf %{buildroot}

%setup -q -n CDDB_get-%{version} 

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall PREFIX="%{buildroot}%{_prefix}"

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/cddb.pl
%{perl_vendorlib}/auto/CDDB_get
%{perl_vendorlib}/CDDB_get.pm
%{perl_vendorlib}/cddb.pl
%{_mandir}/*/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.66-3mdk
- build release

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.66-2mdk
- switch to noarch
- rebuild for perl 5.8.0

* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.66-1mdk
- initial cooker contrib
